## GimpHSV

GimpHSV — Definitions and Functions relating to HSV colors.

## Functions

void | gimp_hsv_set ()
void | gimp_hsv_clamp ()
void | gimp_hsva_set ()
void | gimp_hsl_set ()

## Types and Values

struct | GimpHSV
struct | GimpHSL
#define | GIMP_TYPE_HSV
#define | GIMP_TYPE_HSL

## Description

Definitions and Functions relating to HSV colors.

## Functions

### gimp_hsv_set ()

    void
    gimp_hsv_set (GimpHSV *hsv,
                  gdouble hue,
                  gdouble saturation,
                  gdouble value);

### gimp_hsv_clamp ()

    void
    gimp_hsv_clamp (GimpHSV *hsv);

### gimp_hsva_set ()

    void
    gimp_hsva_set (GimpHSV *hsva,
                   gdouble hue,
                   gdouble saturation,
                   gdouble value,
                   gdouble alpha);

### gimp_hsl_set ()

    void
    gimp_hsl_set (GimpHSL *hsl,
                  gdouble h,
                  gdouble s,
                  gdouble l);

Since: GIMP 2.8

## Types and Values

### struct GimpHSV

    struct GimpHSV {
      gdouble h, s, v, a;
    };

Used to keep HSV and HSVA colors. All components are in a range of [0.0..1.0].

#### Members

gdouble `h`; | the hue component |
gdouble `s`; | the saturation component |
gdouble `v`; | the value component |
gdouble `a`; | the alpha component |

### struct GimpHSL

    struct GimpHSL {
      gdouble h, s, l, a;
    };

Used to keep HSL and HSLA colors. All components are in a range of [0.0..1.0].

#### Members

gdouble `h`; | the hue component |
gdouble `s`; | the saturation component |
gdouble `l`; | the lightness component |
gdouble `a`; | the alpha component |

### GIMP_TYPE_HSV

    #define GIMP_TYPE_HSV       (gimp_hsv_get_type ())

### GIMP_TYPE_HSL

    #define GIMP_TYPE_HSL       (gimp_hsl_get_type ())